Skip to content
Get started

Retrieve

GET/models/{modelId}/prompt-guide

Get the prompt guide of the given modelId

Path ParametersExpand Collapse
modelId: string
Query ParametersExpand Collapse
projectId: optional string

The projectId used for ownership resource management. Either to assert ownership or to set the owner of the resource(s)

ReturnsExpand Collapse
promptGuide: object { value }
value: string

The markdown prompt guide used as the system prompt for Prompt Spark.

Instructions and baked-in examples both live in this single markdown document. No runtime templating is performed on it.

Retrieve

curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/prompt-guide \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"
{
  "promptGuide": {
    "value": "value"
  }
}
Returns Examples
{
  "promptGuide": {
    "value": "value"
  }
}